Skip to main content
PATCH
Update Agent

Authorizations

Authorization
string
header
default:$CARTESIA_API_KEY
required

Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.

Headers

Cartesia-Version
enum<string>
default:2026-08-14
required

API version header.

Available options:
2026-08-14
Example:

"2026-08-14"

Path Parameters

agent_id
string
required

The ID of the agent.

Body

application/json
name
string | null

The name of the agent.

description
string | null

The description of the agent.

tts_voice
string | null

The voice to use for text-to-speech.

tts_language
string | null

The language to use for text-to-speech.

noise_suppression_level
integer

The level of noise suppression applied to the caller's audio, from 0 (off) to 100 (maximum).

Required range: 0 <= x <= 100
webhook_id
string | null

The webhook to deliver this agent's call events to. Pass null to detach the current webhook.

Response

200 - application/json

A summary of essential information about an agent.

id
string
required

The ID of the agent.

name
string
required

The unique name of the agent, which can be used to identify the agent in the CLI.

created_at
string<date-time>
required

The date and time when the agent was created.

updated_at
string<date-time>
required

The date and time when the agent was last updated.

tts_voice
string
required

The text-to-speech voice used by the agent.

tts_language
string
required

The language used for text-to-speech by the agent.

noise_suppression_level
integer
required

The level of noise suppression applied to the caller's audio, from 0 (off) to 100 (maximum).

Required range: 0 <= x <= 100
has_text_to_agent_run
boolean
required

Whether the agent has a text-to-agent run.

deployment_count
integer
required

The number of deployments associated with the agent.

description
string | null

A brief description of the agent.

webhook_id
string | null

The identifier for the webhook associated with the agent. Add or customize a webhook to your agent to receive events when calls are made to your agent via the Playground.

deleted_at
string<date-time> | null

The date and time when the agent was deleted, if applicable.

git_repository
GitRepository · object | null

The Git repository associated with the agent.

git_deploy_branch
string | null

The branch of the Git repository used for deployment.

phone_numbers
PhoneNumberSummary · object[] | null

The phone numbers associated with the agent. Currently, you can only have one phone number per agent.